Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Interface ScriptAction

Deprecated. This class should be no longer used within I-BPM

public interface ScriptAction

This interface defines operations by which a timer invokes a script when it expires. All timer operations are controlled through properties with values which can be set at run time through user-defined process attributes. During development, you only need to specify the names of the user-defined process attributes where data values will later be stored.

See Also:
  `ActivityNode`, `EscalateAction`, `Node`, `Plan`, `SendMailAction`, `TimerAction`, `TimerDef`, `TimerStatus`

Method Summary
`java.lang.String` | `getScriptAction()` Deprecated. Returns the name of the user-defined process attribute that stores the script to be executed when the timer expires.
`void` | `setScriptAction(java.lang.String scriptAtt)` Deprecated. Sets the name of the user-defined process attribute that contains the script to be executed when the timer expires.

Method Detail

### setScriptAction

    public void setScriptAction(java.lang.String scriptAtt)
                         throws ModelException

  Deprecated.
  Sets the name of the user-defined process attribute that contains the script to be executed when the timer expires.

  Parameters:
    `scriptAtt` - The name of the user-defined process attribute that contains the script to be executed.
  Throws:
    `ModelException` - if setting the name of the user-defined process attribute that contains the script fails.

### getScriptAction

    public java.lang.String getScriptAction()
                                     throws ModelException

  Deprecated.
  Returns the name of the user-defined process attribute that stores the script to be executed when the timer expires.

  Returns:
    The name of the user-defined process attribute that contains the script to be executed.
  Throws:
    `ModelException` - if retrieving the name of the user-defined process attribute that contains the script fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD